Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-1956

Switch to Apache Commons Lang 3

VotersWatch issueWatchersLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.9.1
    • Component/s: None
    • Labels:
      None
    • Patch Info:
      Patch Available

      Description

      Thrift for Java currently uses Apache Commons Lang 2.5.

      3.0 was released in July of 2011 and provides lots of improvements.

      I have a project that uses Lang 3.x but Thrift drags in Lang 2.x. It would be nice to get rid of the dependency on 2.x. (3.x is designed so that it can be installed side by side with 2.x.)

      The downside of switching to Lang 3.x is that Thrift will no longer be compatible with Java <= 4. I can't imagine this being a problem, but what do you say?

        Attachments

          Activity

            People

            • Assignee:
              qerub Christoffer Sawicki
              Reporter:
              qerub Christoffer Sawicki

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment